Subject: Re: gitk does not recognizes ISO-8859-15

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 03 Dec 2005 11:23:39 -0800

Junio C Hamano wrote:
> Marco Costalba <[email-masked]> writes:
> 
> 
>>So here we arrive. I see two ways to deal with this:
>>
>>1) *solution* make gitk use IANA names
>>
>>2) *workaround* get from somewhere the list of Tcl/Tk recognized codec names and 
>>teach qgit to do the map from IANA when setting a codec with "git-repo-config 
>>i18n.commitencoding"
> 
> 
> The intent of i18n.commitencoding is to have something that is
> understood by iconv there, so if gitk does not work with these
> things spelled like. ISO8859-1 or ISO-8859-15, and qgit is happy
> with them, I would say that we should fix gitk, which means
> *workaround* should be on the tcl/tk side.
> 
> Tcl/Tk expert may have more thoughts (and I suspect experiences)
> on this, but I am not one of them.
> 

I would say that the only sustainable ruleset is to use IANA rules for 
character name resolutions, if multiple tools are to be able to use them.

	-hpa